/// @file soccer_behaviors.hh
/// @author Jarrod Bassan <bassan@iinet.com.au>
/// @author Joshua Petitt <petitj01@tartarus.uwa.edu.au>

#ifndef SOCCER_BEHAVIORS_HH
#define SOCCER_BEHAVIORS_HH

#include "behavior/behavior.hh"
#include "behavior/stdc_linktypes.hh"
#include "behavior/linktypes.hh"
#include "output/soccer_actors.hh"
#include "input/eyebot_sensors.hh"
#include "eyebot_behavior_types.h"

namespace Soccer03 {

using namespace EyeMind;

class ObeyCoach : public Behavior
{
private:
	int gamestate;
	int sig;
	SpeedType speed;

protected:
	virtual int Execute()
	{
		switch(gamestate)
		{
		case 0:

		break;
		case 1:

		break;
		default:
			speed.v = 0;
			speed.w = 0;
			sig = 1;
		}

		return sig;
	}

	void Feed(SignalLink &l)
	{

	}

public:
	ObeyCoach()
	{
		gamestate = -1;
		speed.v = 0;
		speed.w =0;
		sig = 0;
	}
};




}; // namespace Soccer03

#endif // SOCCER_BEHAVIORS_HH
